## bind9 9.16.1

=== debian/changelog ===
bind9 (1:9.16.1-0ubuntu2) focal; urgency=medium

  * d/p/fix-rebinding-protection.patch: fix rebinding protection bug
    when using forwarder setups (LP: #1873046)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 15 Apr 2020 14:59:51 -0300

bind9 (1:9.16.1-0ubuntu1) focal; urgency=medium

  * New upstream release: 19.16.1 (LP: #1868272)
    - drop d/p/bind-v9.16.0-tcp_quota_fix.patch, fixed upstream
    - drop d/p/Fix-dns_client_addtrustedkey.patch, fixed upstream
  * d/rules: change deprecated --with-libjson-c configure argument to
    --with-json-c

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 24 Mar 2020 11:44:46 -0300
