=== debian/tests/control ===
Tests: simpletest
Restrictions: needs-root, isolation-container
Depends: bind9, bind9-dnsutils
