=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
                dh-apport,
                dh-exec,
                dh-python,
-               docbook-xml,
-               docbook-xsl,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
@@ -22,7 +20,6 @@
                libkrb5-dev,
                libldap2-dev,
                liblmdb-dev,
-               libedit-dev,
                libmaxminddb-dev (>= 1.3.0),
                libssl-dev,
                libtool,
@@ -32,6 +29,15 @@
                python3,
                python3-ply,
                zlib1g-dev
+Build-Depends-Indep:
+               fonts-freefont-otf,
+               latexmk,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+               texlive-fonts-recommended,
+               texlive-latex-recommended,
+               texlive-xetex,
+               xindy,
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
 Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
@@ -45,8 +51,8 @@
          bind9-utils (= ${binary:Version}),
          debconf | debconf-2.0,
          dns-root-data,
+         iproute2,
          lsb-base (>= 3.2-14),
-         iproute2,
          netbase,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -65,7 +71,8 @@
 
 Package: bind9utils
 Architecture: all
-Depends: bind9-utils, ${misc:Depends}
+Depends: bind9-utils,
+         ${misc:Depends}
 Priority: optional
 Section: oldlibs
 Description: Transitional package for bind9-utils
@@ -77,7 +84,8 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Breaks: bind-utils (<< 1:9.13.6~),
-        bind9utils (<< 1:9.12.0~)
+        bind9utils (<< 1:9.12.0~),
+        freeipa
 Replaces: bind-utils (<< 1:9.13.6~),
           bind9utils (<< 1:9.12.0~)
 Provides: bind9utils
@@ -123,9 +131,31 @@
  .
  This package contains a bundle of shared libraries used by BIND 9.
 
+Package: bind9-dev
+Section: devel
+Priority: optional
+Architecture: any
+Multi-Arch: same
+Depends: bind9-libs (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libbind-dev (<< 1:9.16.0~)
+Replaces: libbind-dev (<< 1:9.16.0~)
+Description: Static Libraries and Headers used by BIND 9
+ The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
+ name server.  BIND 9 is the most widely-used name server software on the
+ Internet, and is supported by the Internet Software Consortium, www.isc.org.
+ .
+ This package contains a bundle of static libraries and header files used by
+ BIND 9.
+ .
+ Please be aware that the BIND 9 libraries are considered private by upstream
+ developers and the API and ABI might break at any time.
+
 Package: dnsutils
 Architecture: all
-Depends: bind9-dnsutils, ${misc:Depends}
+Depends: bind9-dnsutils,
+         ${misc:Depends}
 Priority: optional
 Section: oldlibs
 Description: Transitional package for bind9-dnsutils
@@ -134,7 +164,6 @@
 Package: bind9-dnsutils
 Priority: standard
 Architecture: any
-Multi-Arch: foreign
 Depends: bind9-host | host,
          bind9-libs (= ${binary:Version}),
          ${misc:Depends},
