=== debian/rules ===
--- 
+++ 
@@ -72,16 +72,13 @@
 		$(EXTRA_FEATURES)
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- all doc
 
 override_dh_auto_clean: clean_version_extensions
 	dh_auto_clean
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
-	-rm -r $(CURDIR)/debian/tmp/usr/include
-	-rm $(CURDIR)/debian/tmp/usr/lib/*/*.so \
-	    $(CURDIR)/debian/tmp/usr/lib/*/*.a
 
 override_dh_auto_test:
 	:
