=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	sed -e 's,^EXTENSIONS=,EXTENSIONS="$$(dpkg-parsechangelog --file=../debian/changelog | sed -n '/^Version/s/[^-]*//p')-$$(dpkg-vendor --query Vendor)",'
 
 %:
-	dh $@ --with python3,apport
+	dh $@ --with python3
 
 prepare_version_extensions:
 	if [ ! -f version.bak ]; then \
@@ -69,12 +69,15 @@
 		--enable-rrl \
 		--enable-filter-aaaa \
 		--disable-native-pkcs11 \
+		--enable-dnstap \
 		$(EXTRA_FEATURES)
 
 override_dh_auto_build:
+	sed -i 's/:gl:`\([#!][^`]*\)`/[GL \1]/g' doc/notes/*.rst
 	dh_auto_build -- all doc
 
 override_dh_auto_clean: clean_version_extensions
+	sed -i 's/\[GL \([#!][^]]*\)]/:gl:`\1`/g' doc/notes/*.rst
 	dh_auto_clean
 
 override_dh_auto_install:
