## bind9 9.16.22

=== debian/changelog ===
bind9 (1:9.16.22-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.22
   + CVE-2021-25219: The "lame-ttl" option is now forcibly set to 0. This
     effectively disables the lame server cache, as it could previously be
     abused by an attacker to significantly degrade resolver performance.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Oct 2021 13:29:14 +0200
