## bind9 9.16.27

=== debian/changelog ===
bind9 (1:9.16.27-1~deb11u1~bpo10+1) buster-backports; urgency=high

  * Rebuild for bullseye-backports.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 20 Mar 2022 16:37:51 +0100

bind9 (1:9.16.27-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.27
  * CVE-2022-0396: A synchronous call to closehandle_cb() caused
    isc__nm_process_sock_buffer() to be called recursively, which in turn
    left TCP connections hanging in the CLOSE_WAIT state blocking
    indefinitely when out-of-order processing was disabled.
  * CVE-2021-25220: The rules for acceptance of records into the cache
    have been tightened to prevent the possibility of poisoning if
    forwarders send records outside the configured bailiwick
  * Remove patch to fix sphinx-build failure (fixed upstream)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Mar 2022 15:25:15 +0100
