=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
-               dh-apport,
                dh-exec,
                dh-python,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
                libedit-dev,
+               libfstrm-dev,
                libidn2-dev,
                libjson-c-dev,
                libkrb5-dev,
                libldap2-dev,
                liblmdb-dev,
                libmaxminddb-dev (>= 1.3.0),
+               libprotobuf-c-dev,
                libssl-dev,
                libtool,
                libuv1-dev,
                libxml2-dev,
                pkg-config,
+               protobuf-c-compiler,
                python3,
                python3-ply,
                zlib1g-dev
