## bind9 9.16.37

=== debian/changelog ===
bind9 (1:9.16.37-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.37
   - CVE-2022-3094: An UPDATE message flood could cause named
     to exhaust all available memory.
   - CVE-2022-3736: named could crash with an assertion failure
     when an RRSIG query was received and stale-answer-client-timeout
     was set to a non-zero value.
   - CVE-2022-3924: named running as a resolver with the
     stale-answer-client-timeout option set to any value greater
     than 0 could crash with an assertion failure, when the
     recursive-clients soft quota was reached.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Jan 2023 16:22:22 +0100
