## bind9 9.16.42

=== debian/changelog ===
bind9 (1:9.16.42-1~deb11u1) bullseye-security; urgency=high

  * Update the upstream signing keys
  * New upstream version 9.16.42
   - CVE-2023-2828: The overmem cleaning process has been improved,
     to prevent the cache from significantly exceeding the configured
     max-cache-size limit.
   - CVE-2023-2911: A query that prioritizes stale data over lookup
     triggers a fetch to refresh the stale data in cache. If the fetch
     is aborted for exceeding the recursion quota, it was possible for
     named to enter an infinite callback loop and crash due to stack
     overflow. This has been fixed.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jun 2023 20:31:51 +0200
