## bind9 9.16.44

=== debian/changelog ===
bind9 (1:9.16.44-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 9.16.44
   - CVE-2023-3341: A stack exhaustion flaw in control channel code may
     cause named to terminate unexpectedly

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Sep 2023 19:30:52 +0200
