## bind9 9.16.48

=== debian/changelog ===
bind9 (1:9.16.48-1A~5.1.0.202406111719) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-22478-build-bind-with-libdb4.8.patch
    0002-Bug-51417-Do-not-fail-on-service-start.patch
    0004-Bug-41714-Add-LDAP-support.patch
    0004-Bug-41714-Add-LDAP-support.quilt
    0017-Bug-51786-fix-apparmor-profile.patch

 -- Univention builddaemon <buildd@univention.de>  Tue, 11 Jun 2024 17:32:14 -0000

bind9 (1:9.16.48-1) bullseye-security; urgency=high

  * New upstream version 9.16.48
   - CVE-2023-4408: Parsing large DNS messages may cause excessive CPU
     load
   - CVE-2023-5517: Querying RFC 1918 reverse zones may cause an assertion
     failure when "nxdomain-redirect" is enabled
   - CVE-2023-5679: Enabling both DNS64 and serve-stale may cause an
     assertion failure during recursive resolution
   - CVE-2023-6516: Specific recursive query patterns may lead to an
     out-of-memory condition
   - CVE-2023-50387: KeyTrap - Extreme CPU consumption in DNSSEC validator
   - CVE-2023-50868: Preparing an NSEC3 closest encloser proof can exhaust
     CPU resources
  * Update patches from debian/9.16 branch
   - Disable treat-warnings-as-errors in sphinx-build
   - Remove the reference to OPTIONS.md - it breaks build on Debian
     stretch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Feb 2024 17:25:59 +0100
