=== debian/control ===
--- 
+++ 
@@ -23,22 +23,21 @@
                libprotobuf-c-dev,
                libssl-dev,
                libtool,
-               libuv1-dev,
+               libuv1-dev (>= 1.40.0),
                libxml2-dev,
                pkg-config,
                protobuf-c-compiler,
                python3,
                python3-ply,
                zlib1g-dev
-Build-Depends-Indep:
-               fonts-freefont-otf,
-               latexmk,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               texlive-fonts-recommended,
-               texlive-latex-recommended,
-               texlive-xetex,
-               xindy,
+Build-Depends-Indep: fonts-freefont-otf,
+                     latexmk,
+                     python3-sphinx,
+                     python3-sphinx-rtd-theme,
+                     texlive-fonts-recommended,
+                     texlive-latex-recommended,
+                     texlive-xetex,
+                     xindy
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
 Vcs-Git: https://salsa.debian.org/dns-team/bind9.git
@@ -121,7 +120,8 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libuv1 (>= 1.40.0),
+         ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-libs (<< 1:9.13.6~)
 Replaces: bind-libs (<< 1:9.13.6~)
