=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 		--enable-largefile \
 		--with-libtool \
 		--enable-shared \
+		--with-dlz-dlopen \
 		--enable-static \
 		--with-gost=no \
 		--with-openssl=/usr \
@@ -73,11 +74,9 @@
 		$(EXTRA_FEATURES)
 
 override_dh_auto_build:
-	sed -i 's/:gl:`\([#!][^`]*\)`/[GL \1]/g' doc/notes/*.rst
 	dh_auto_build -- all doc
 
 override_dh_auto_clean: clean_version_extensions
-	sed -i 's/\[GL \([#!][^]]*\)]/:gl:`\1`/g' doc/notes/*.rst
 	dh_auto_clean
 
 override_dh_auto_install:
@@ -87,7 +86,7 @@
 	:
 
 override_dh_installinit:
-	dh_installinit -pbind9 --name=named
+	dh_installinit -pbind9 --name=named --error-handler=true
 	dh_installinit --remaining
 
 override_dh_installsystemd:
